﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO.Ports;

namespace NodeMcuShiftRegister
{
    /// <summary>
    /// Software para enviar dados ao Arduino/NodeMCU 
    /// para controlar 8 LEDs utilizando shift register.
    /// 
    /// Autora: Ana Paula Messina
    /// 
    /// 23/01/2019
    /// </summary>
    public partial class frmPrincipal : Form
    {
        SerialPort s;

        public frmPrincipal()
        {
            InitializeComponent();
            s = new SerialPort();
            s.PortName = "COM7"; // MUDAR O NOME DA PORTA 
            s.BaudRate = 9600;
        }

        private void shiftRegister(string op)
        {
            if (!s.IsOpen)
            {
                try
                {
                    s.Open(); 
                    s.Write(op); 
                    s.Close(); 
                }
                catch
                {
                    MessageBox.Show("Conecte o dispositivo na porta USB.", "Atenção",
                        MessageBoxButtons.OK, MessageBoxIcon.Exclamation);
                }
            }
        }

        private void btnLed0_Click(object sender, EventArgs e)
        {
            shiftRegister("0");
        }

        private void btnLed1_Click(object sender, EventArgs e)
        {
            shiftRegister("1");
        }

        private void btnLed2_Click(object sender, EventArgs e)
        {
            shiftRegister("2");
        }

        private void btnLed3_Click(object sender, EventArgs e)
        {
            shiftRegister("3");
        }

        private void btnLed4_Click(object sender, EventArgs e)
        {
            shiftRegister("4");
        }

        private void btnLed5_Click(object sender, EventArgs e)
        {
            shiftRegister("5");
        }

        private void btnLed6_Click(object sender, EventArgs e)
        {
            shiftRegister("6");
        }

        private void btnLed7_Click(object sender, EventArgs e)
        {
            shiftRegister("7");
        }

        private void btnReset_Click(object sender, EventArgs e)
        {
            shiftRegister("8");
        }
    }
}
